Subject: Re: [PATCH v4 0/4] cpufreq: powernv: Redesign the presentation of throttle notification

From: Greg KH <[email-masked]>
Date: Mon, 11 Jan 2016 14:23:12 -0800

On Mon, Jan 11, 2016 at 02:54:36PM -0600, Shilpasri G Bhat wrote:
> In POWER8, OCC(On-Chip-Controller) can throttle the frequency of the
> CPU when the chip crosses its thermal and power limits. Currently,
> powernv-cpufreq driver detects and reports this event as a console
> message. Some machines may not sustain the max turbo frequency in all
> conditions and can be throttled frequently. This can lead to the
> flooding of console with throttle messages. So this patchset aims to
> redesign the presentation of this event via sysfs counters and
> tracepoints. 
> 
> Patches [2] to [4] will add a perf trace point "power:powernv_throttle" and
> sysfs throttle counter stats in /sys/devices/system/cpu/cpufreq/chipN.
> Patch [1] solves a bug in powernv_cpufreq_throttle_check(), which calls in to
> cpu_to_chip_id() in hot path which reads DT every time to find the chip id.

<formletter>

This is not the correct way to submit patches for inclusion in the
stable kernel tree.  Please read Documentation/stable_kernel_rules.txt
for how to do this properly.

</formletter>